Raul::EventRingBuffer Class Reference
Realtime Audio Utility Library

A RingBuffer of events (generic time-stamped binary "blobs"). More...

`#include <EventRingBuffer.hpp>`

Inheritance diagram for Raul::EventRingBuffer:
Collaboration diagram for Raul::EventRingBuffer:

## Public Member Functions

| EventRingBuffer (size_t capacity)
size_t | capacity () const
size_t | write (TimeStamp time, size_t size, const uint8_t *buf)
bool | read (TimeStamp *time, size_t *size, uint8_t *buf)

## Detailed Description

A RingBuffer of events (generic time-stamped binary "blobs").

This packs a timestamp, size, and size bytes of data flat into the buffer. Useful for MIDI events, OSC messages, etc.

## Constructor & Destructor Documentation

Raul::EventRingBuffer::EventRingBuffer | ( | size_t | capacity | ) |

inline explicit

Parameters

  capacity | Ringbuffer capacity in bytes.

The documentation for this class was generated from the following file:

- EventRingBuffer.hpp